Developers

PUBLIC API v1

Retrieve particular tax settings of the company

GET /api/v1/taxes/tax-settings/{public_id}/

Retrieve particular of the company

Permission: read_tax · Direct link

Company-scoped. Account permissions, plan limits and document state still apply.

Path and query parameters

ParameterLocation / typeDescription
public_idRequiredpath · string (uuid)A UUID string identifying tax settings entity of the company

Responses

200 Response fields

application/json

FieldType / accepted valuesDescription
pkRequiredRead onlystring (uuid)Not specified
taxType"sales" | "trade" | "income" | "profit_loss" | "corporate"* `sales` - Sales * `trade` - Trade * `income` - Income * `profit_loss` - Profit & Loss * `corporate` - Corporate
taxTypeNameRequiredstringNot specified
vatType"vat_subject" | "kleinunternehmer" | "small_business_exempt" | "vat_exempt"* `vat_subject` - Subject to VAT * `kleinunternehmer` - Kleinunternehmer * `small_business_exempt` - Small business VAT exempt * `vat_exempt` - Exempt of VAT
vatTypeNameRequiredstringNot specified
vatPercent0 | 5 | 7 | 8 | 19 | 23* `0` - 0 * `5` - 5 * `7` - 7 * `8` - 8 * `19` - 19 * `23` - 23
startTaxReportDatestring (date)Not specified
advancedPaymentSizeintegerNot specified
reportingFrequency"monthly" | "quarterly" | "yearly"* `monthly` - Monthly * `quarterly` - Quarterly * `yearly` - Yearly
reportingFrequencyNameRequiredstringNot specified
taxYearintegerNot specified
companyRequiredstring (uuid)Not specified
400 Response fields

application/json

FieldType / accepted valuesDescription
fieldRequiredstringNot specified
codeintegerNot specified
messageRequiredstringNot specified
type_stringNot specified
401 Response fields

application/json

FieldType / accepted valuesDescription
detailRequiredRead onlystringNot specified
403 Response fields

application/json

FieldType / accepted valuesDescription
detailRequiredRead onlystringNot specified
404 No response body
429 Rate limit exceeded. Wait for the Retry-After header before retrying.

Use the base URL https://api.norman.finance/api/v1. Sign up or log in to Norman to create an API key, then send it as a Bearer token. For an OpenAPI JSON file, contact support.